#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa9ee6c53, "struct_module" },
	{ 0x7a52c940, "agp_generic_type_to_mask_type" },
	{ 0x1e2f5175, "agp_generic_destroy_page" },
	{ 0x62820867, "agp_generic_alloc_page" },
	{ 0x11d32437, "agp_generic_free_by_type" },
	{ 0x17463eef, "agp_generic_alloc_by_type" },
	{ 0xb4fb44e5, "agp_generic_remove_memory" },
	{ 0xcd053404, "agp_generic_insert_memory" },
	{ 0x287efcae, "agp_generic_free_gatt_table" },
	{ 0x7cc07ab2, "agp_generic_create_gatt_table" },
	{ 0x583ac5c7, "agp_generic_mask_memory" },
	{ 0x674dbd10, "agp_generic_enable" },
	{ 0xccba05ed, "__pci_register_driver" },
	{ 0x7538b132, "agp_off" },
	{ 0xa0c19c9d, "agp_add_bridge" },
	{ 0x22366e4, "pci_enable_device" },
	{ 0x64296e88, "pci_assign_resource" },
	{ 0x9f1cf33d, "pci_get_device" },
	{ 0x20ba4967, "agp_alloc_bridge" },
	{ 0x4ec77f57, "pci_find_capability" },
	{ 0x3bcbf3fc, "agp_put_bridge" },
	{ 0x63a825e, "pci_dev_put" },
	{ 0x788c224, "agp_remove_bridge" },
	{ 0xb04ea8f0, "agp_rebind_memory" },
	{ 0x290f9c17, "pci_restore_state" },
	{ 0x43bdd372, "request_resource" },
	{ 0xdc3eaf70, "iomem_resource" },
	{ 0xd8c8733, "pci_bus_alloc_resource" },
	{ 0x2b0b412a, "pcibios_align_resource" },
	{ 0x3da171f9, "pci_mem_start" },
	{ 0x990838b, "kunmap" },
	{ 0xd203bfdd, "kmap" },
	{ 0x5aedac7a, "pci_bus_read_config_byte" },
	{ 0x49f99c9e, "pci_bus_write_config_byte" },
	{ 0x1ad4f46, "pci_bus_write_config_word" },
	{ 0xcb80274, "pci_bus_write_config_dword" },
	{ 0xe00fb238, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0x8df15221, "put_page" },
	{ 0x67d5901b, "node_data" },
	{ 0x1e33476e, "physnode_map" },
	{ 0xd0fef3b2, "agp_free_key" },
	{ 0x13904fa1, "agp_free_page_array" },
	{ 0xe8685ef, "agp_create_memory" },
	{ 0x1185e707, "page_address" },
	{ 0x9178fae0, "__free_pages" },
	{ 0xfa9ffef8, "set_pages_wb" },
	{ 0x465749d1, "set_pages_uc" },
	{ 0x1dd95e3c, "alloc_pages_current" },
	{ 0xfa6dcd0c, "pci_bus_read_config_word" },
	{ 0xfbed20d8, "ioremap_nocache" },
	{ 0xb72397d5, "printk" },
	{ 0xa5ea499, "dev_driver_string" },
	{ 0xe33f9adc, "pci_bus_read_config_dword" },
	{ 0xedc03953, "iounmap" },
	{ 0xa4d4f0e6, "global_cache_flush" },
	{ 0xac029b12, "pci_unregister_driver" },
	{ 0xbc3b5357, "agp_bridge" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=agpgart";

MODULE_ALIAS("pci:v00008086d00007180sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007190sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000071A0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007120sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007122sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007124sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00001130sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002500sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002501sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00003575sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00001A21sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00001A30sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002560sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002530sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00003340sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00003580sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002531sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002570sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002578sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002550sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000255Dsv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002588sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002580sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002590sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002770sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000027A0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000027ACsv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000A010sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000A000sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002970sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002980sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002990sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029A0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002A00sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002A10sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029C0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029B0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029D0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002A40sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E00sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E10sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E20sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E30sv*sd*bc06sc00i00*");

MODULE_INFO(srcversion, "4A3FD6D833C333280740FC8");
