#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa9ee6c53, "struct_module" },
	{ 0x5f86b5c0, "usbnet_resume" },
	{ 0x5b2e6dfb, "usbnet_suspend" },
	{ 0x9cae222e, "usbnet_disconnect" },
	{ 0xc76515f9, "usbnet_probe" },
	{ 0x969bb1ac, "usbnet_nway_reset" },
	{ 0x84b5daad, "usbnet_set_msglevel" },
	{ 0x7b6bb12a, "usbnet_get_msglevel" },
	{ 0xef1382df, "usbnet_set_settings" },
	{ 0x15b55405, "usbnet_get_settings" },
	{ 0xcffcd227, "usb_register_driver" },
	{ 0xe23dcfa7, "usb_deregister" },
	{ 0xeed6de9, "netif_carrier_off" },
	{ 0xf02bd77b, "usbnet_defer_kevent" },
	{ 0x226503ee, "netif_carrier_on" },
	{ 0xee986194, "usbnet_unlink_rx_urbs" },
	{ 0x2cb36d68, "skb_pull" },
	{ 0xd2cb30fd, "usbnet_skb_return" },
	{ 0x5dadd76a, "skb_clone" },
	{ 0x23cf6d70, "skb_put" },
	{ 0xb16d148a, "skb_push" },
	{ 0x8b1d71d8, "dev_kfree_skb_any" },
	{ 0x4e5c233d, "skb_copy_expand" },
	{ 0x8235805b, "memmove" },
	{ 0x600afdb9, "mii_nway_restart" },
	{ 0xa5dc9082, "usbnet_get_endpoints" },
	{ 0x577cc638, "mutex_unlock" },
	{ 0x8aaf8654, "mutex_lock" },
	{ 0x7a71a9b9, "generic_mii_ioctl" },
	{ 0xfaf98462, "bitrev32" },
	{ 0xa34f1ef5, "crc32_le" },
	{ 0x8f2c2b85, "usb_submit_urb" },
	{ 0x4bb373ee, "kmem_cache_alloc" },
	{ 0x13988844, "malloc_sizes" },
	{ 0x330a0079, "usb_alloc_urb" },
	{ 0xa9d815a3, "usb_free_urb" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x547f7026, "usbnet_get_drvinfo" },
	{ 0xd7669890, "mii_link_ok" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f95dbb3, "mii_ethtool_gset" },
	{ 0x8c21f224, "mii_check_media" },
	{ 0xb72397d5, "printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x6208286f, "usb_control_msg" },
	{ 0x12da5bb2, "__kmalloc" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1AC22455CDD31C43C20174E");
