#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa9ee6c53, "struct_module" },
	{ 0xcffcd227, "usb_register_driver" },
	{ 0x608c2831, "warn_on_slowpath" },
	{ 0x2bda3065, "skb_trim" },
	{ 0xb16d148a, "skb_push" },
	{ 0xaa9aca95, "dev_alloc_skb" },
	{ 0x2db8297d, "p54_rx" },
	{ 0x2cb36d68, "skb_pull" },
	{ 0x23cf6d70, "skb_put" },
	{ 0x20ed506b, "skb_unlink" },
	{ 0xac8af02f, "skb_queue_tail" },
	{ 0xdd4d5f56, "__alloc_skb" },
	{ 0x8f2c2b85, "usb_submit_urb" },
	{ 0x330a0079, "usb_alloc_urb" },
	{ 0xa9d815a3, "usb_free_urb" },
	{ 0x7a87e755, "skb_dequeue" },
	{ 0xa9f56040, "kfree_skb" },
	{ 0xdaa6b52e, "usb_kill_urb" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x820d225f, "print_mac" },
	{ 0xfcc678d4, "ieee80211_register_hw" },
	{ 0x92d1df63, "usb_get_dev" },
	{ 0xc64aa99e, "p54_init_common" },
	{ 0x8c539cde, "p54_parse_eeprom" },
	{ 0xaa748adb, "p54_fill_eeprom_readback" },
	{ 0x204ce79, "usb_interrupt_msg" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x37a0cba, "kfree" },
	{ 0xb703911e, "release_firmware" },
	{ 0x5152e605, "memcmp" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x7d11c268, "jiffies" },
	{ 0xa34f1ef5, "crc32_le" },
	{ 0xd0d8621b, "strlen" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3c22039c, "p54_parse_firmware" },
	{ 0x9e181e69, "request_firmware" },
	{ 0xb72397d5, "printk" },
	{ 0x4bb373ee, "kmem_cache_alloc" },
	{ 0x13988844, "malloc_sizes" },
	{ 0xfd9ef4b1, "usb_bulk_msg" },
	{ 0x847f44db, "ieee80211_free_hw" },
	{ 0x88c279ca, "p54_free_common" },
	{ 0x960c885a, "usb_put_dev" },
	{ 0xd0546540, "ieee80211_unregister_hw" },
	{ 0xe23dcfa7, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,p54common,mac80211";

MODULE_ALIAS("usb:v0506p0A11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4502d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap5501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3703d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p1230d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0121d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4521d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4240d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp0118d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0015d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v09AAp1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4025d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8104d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "49BF97E0D7DDC805C0221A7");
