#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa9ee6c53, "struct_module" },
	{ 0xfbf92453, "param_get_bool" },
	{ 0xa925899a, "param_set_bool" },
	{ 0xf2afa595, "param_get_charp" },
	{ 0x8785725d, "param_set_charp" },
	{ 0xedd14538, "param_get_uint" },
	{ 0x126970ed, "param_set_uint" },
	{ 0xeeb1717c, "param_array_get" },
	{ 0xab471003, "param_array_set" },
	{ 0xcffcd227, "usb_register_driver" },
	{ 0x277c3057, "usbatm_usb_probe" },
	{ 0xdff67b9d, "usb_reset_device" },
	{ 0x5cfb33ff, "request_firmware_nowait" },
	{ 0x642e54ac, "__wake_up" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb7b61546, "crc32_be" },
	{ 0xfd9ef4b1, "usb_bulk_msg" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x35c2ba9e, "refrigerator" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xd2965f6f, "kthread_should_stop" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x45ace9e0, "queue_work" },
	{ 0x1d437801, "sysfs_create_group" },
	{ 0xa622bb64, "usb_set_interface" },
	{ 0x4bb373ee, "kmem_cache_alloc" },
	{ 0x13988844, "malloc_sizes" },
	{ 0x42b0cfe0, "wake_up_process" },
	{ 0xc0a2389e, "kthread_create" },
	{ 0x330a0079, "usb_alloc_urb" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x30212be1, "__create_workqueue_key" },
	{ 0x64cd5d16, "init_waitqueue_head" },
	{ 0x9e181e69, "request_firmware" },
	{ 0x8f2c2b85, "usb_submit_urb" },
	{ 0x1d518de, "usb_driver_claim_interface" },
	{ 0x690a3542, "usb_ifnum_to_if" },
	{ 0x9ccb2622, "finish_wait" },
	{ 0x4292364c, "schedule" },
	{ 0x33d92f9a, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x2fce2b5c, "per_cpu__current_task" },
	{ 0x623d1519, "sysfs_remove_group" },
	{ 0xb703911e, "release_firmware" },
	{ 0xb181b15b, "destroy_workqueue" },
	{ 0xa9d815a3, "usb_free_urb" },
	{ 0xdaa6b52e, "usb_kill_urb" },
	{ 0x17953d5f, "kthread_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x6208286f, "usb_control_msg" },
	{ 0xe2fae716, "kmemdup" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x8d3894f2, "_ctype" },
	{ 0xd9872fda, "usb_string" },
	{ 0x577cc638, "mutex_unlock" },
	{ 0x15479211, "usbatm_usb_disconnect" },
	{ 0x8aaf8654, "mutex_lock" },
	{ 0xa5ea499, "dev_driver_string" },
	{ 0xb9d8ecc0, "__dynamic_dbg_enabled_helper" },
	{ 0xf5605f44, "dynamic_printk_enabled2" },
	{ 0x93481219, "dynamic_printk_enabled" },
	{ 0xb72397d5, "printk" },
	{ 0xe23dcfa7, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,usbatm";

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "58DD12E208FCA30B9B2B2BB");
