#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa9ee6c53, "struct_module" },
	{ 0xcffcd227, "usb_register_driver" },
	{ 0xeed6de9, "netif_carrier_off" },
	{ 0x226503ee, "netif_carrier_on" },
	{ 0xab4c9f9d, "usb_autopm_get_interface" },
	{ 0x52147661, "usb_autopm_set_interface" },
	{ 0x2d084055, "usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0x6afb5bbc, "dev_kfree_skb_irq" },
	{ 0x4e5c233d, "skb_copy_expand" },
	{ 0x466613f6, "__netif_schedule" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0x28235d64, "register_netdev" },
	{ 0x6111e1bc, "init_timer" },
	{ 0xc23f5928, "usb_buffer_alloc" },
	{ 0x5152e605, "memcmp" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93fca811, "__get_free_pages" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd4af7a30, "alloc_etherdev_mq" },
	{ 0xb703911e, "release_firmware" },
	{ 0x9e181e69, "request_firmware" },
	{ 0x330a0079, "usb_alloc_urb" },
	{ 0x4bb373ee, "kmem_cache_alloc" },
	{ 0x13988844, "malloc_sizes" },
	{ 0x9ccb2622, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x33d92f9a, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x2fce2b5c, "per_cpu__current_task" },
	{ 0x64cd5d16, "init_waitqueue_head" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x73e20c1c, "strlcpy" },
	{ 0x6c74273f, "free_netdev" },
	{ 0x6d4c055, "usb_buffer_free" },
	{ 0xa9d815a3, "usb_free_urb" },
	{ 0x1ef77610, "unregister_netdev" },
	{ 0xfc309c3e, "cancel_delayed_work_sync" },
	{ 0xdaa6b52e, "usb_kill_urb" },
	{ 0x54e54215, "netif_rx" },
	{ 0xfbddb34b, "eth_type_trans" },
	{ 0x23cf6d70, "skb_put" },
	{ 0xaa9aca95, "dev_alloc_skb" },
	{ 0x973873ab, "_spin_lock" },
	{ 0x642e54ac, "__wake_up" },
	{ 0x4b07e779, "_spin_unlock_irqrestore" },
	{ 0x712aa29b, "_spin_lock_irqsave" },
	{ 0xb72397d5, "printk" },
	{ 0x82673561, "schedule_delayed_work" },
	{ 0x8f2c2b85, "usb_submit_urb" },
	{ 0xe23dcfa7, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "12F6FAA5AC48B8A6BDFCBC2");
