#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa9ee6c53, "struct_module" },
	{ 0xc4d72493, "rt2x00mac_get_tx_stats" },
	{ 0x2a55aa10, "rt2x00mac_conf_tx" },
	{ 0xc978077e, "rt2x00mac_get_stats" },
	{ 0xcb35c532, "rt2x00mac_configure_filter" },
	{ 0x55192e2a, "rt2x00mac_bss_info_changed" },
	{ 0x179f112, "rt2x00mac_config_interface" },
	{ 0xe051a0fb, "rt2x00mac_config" },
	{ 0xef56e607, "rt2x00mac_remove_interface" },
	{ 0xbd0b69cf, "rt2x00mac_add_interface" },
	{ 0xb7254610, "rt2x00mac_stop" },
	{ 0x76f331f2, "rt2x00mac_start" },
	{ 0x539090a1, "rt2x00mac_tx" },
	{ 0x2ea41e3f, "rt2x00usb_write_tx_data" },
	{ 0x46953f5b, "rt2x00usb_init_txentry" },
	{ 0xbed20d28, "rt2x00usb_init_rxentry" },
	{ 0xfc1f99d8, "rt2x00usb_uninitialize" },
	{ 0x155428c4, "rt2x00usb_initialize" },
	{ 0x33a98b5f, "rt2x00usb_resume" },
	{ 0x4173cf84, "rt2x00usb_suspend" },
	{ 0x2df3729a, "rt2x00usb_disconnect" },
	{ 0xb68a8895, "rt2x00usb_probe" },
	{ 0xcffcd227, "usb_register_driver" },
	{ 0xe23dcfa7, "usb_deregister" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xa7af10bf, "rt2x00usb_disable_radio" },
	{ 0xf9a482f9, "msleep" },
	{ 0x775c05d7, "rt2x00usb_vendor_request" },
	{ 0xa9f56040, "kfree_skb" },
	{ 0x8f2c2b85, "usb_submit_urb" },
	{ 0xb16d148a, "skb_push" },
	{ 0x75809aae, "rt2x00usb_kick_tx_queue" },
	{ 0x2bda3065, "skb_trim" },
	{ 0x577cc638, "mutex_unlock" },
	{ 0x8aaf8654, "mutex_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4e4e8bf8, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xb72397d5, "printk" },
	{ 0x16437881, "rt2x00usb_vendor_request_buff" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "CA2B8EAD3E255833152D336");
